Skip to content

Get Usage

v1.0.0
OpenAPI 3.1.0

Upriver API

A social insights API for ad generation platforms. It provides structured signals, like psychographics, behavioral insights, trends, and audience language, to help AI models generate relevant, higher-converting ads.

Server:https://api.upriver.ai

Production API server

Client Libraries

Get Usage

​

Get usage for the provided API key

Query Parameters
  • start_date
    Type: string · Start DateFormat: datenullable

    Start of custom date range (YYYY-MM-DD, UTC inclusive)

  • end_date
    Type: string · End DateFormat: datenullable

    End of custom date range (YYYY-MM-DD, UTC inclusive)

Responses
  • application/json
  • application/json
Request Example for get/v1/usage
curl https://api.upriver.ai/v1/usage \
  --header 'X-API-Key: YOUR_SECRET_TOKEN'
{
  "created_at": 1,
  "name": "string",
  "email": "string",
  "usage_by_range": {
    "additionalProperty": {
      "features": {
        "additionalProperty": {
          "name": "string",
          "balance": 1,
          "usage": 1,
          "included_usage": 1,
          "next_reset_at": 1,
          "interval": "string",
          "interval_count": 1,
          "breakdown": [
            {
              "interval": "string",
              "interval_count": 1,
              "balance": 1,
              "usage": 1,
              "included_usage": 1,
              "next_reset_at": 1,
              "unlimited": true
            }
          ]
        }
      },
      "time_series": []
    }
  },
  "usage_period": {
    "start": 1,
    "end": 1
  },
  "pricing": {
    "additionalProperty": {
      "amount": 1,
      "unit": "string",
      "interval": "string",
      "included_usage": 1
    }
  }
}